API ReferenceAlert Settings V2
Insert Alert Persona By Super User Controller
Create a new alert persona by super user controller.
Authorization
bearerAuth superuserAuthorization<token>
In: header
Scope: superuser
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/v2/alert-settings/superuser/persona/new" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "companyId": 0.1 }'{ "data": { "id": "string", "name": "string", "isActive": true, "sms": { "id": "string", "value": "string", "isActive": true, "reference": "string" }, "whatsapp": { "id": "string", "value": "string", "isActive": true, "reference": "string" }, "email": { "id": "string", "value": "string", "isActive": true, "reference": "string" }, "push": [ { "id": "string", "value": "string", "isActive": true, "reference": "string" } ], "alertHours": { "sunday": { "end": "string", "start": "string" }, "saturday": { "end": "string", "start": "string" }, "friday": { "end": "string", "start": "string" }, "thursday": { "end": "string", "start": "string" }, "wednesday": { "end": "string", "start": "string" }, "tuesday": { "end": "string", "start": "string" }, "monday": { "end": "string", "start": "string" } }, "isUser": true, "alertIds": [ "string" ], "language": "spanish" }}